Aggregated trend data for charts
Aggregated trend data for charts. This operation is part of the draft contract; confirm deployment availability before sending requests.
Path Parameters
- Type:user
Id required
Query Parameters
- Type: stringmetricrequired
- Type: stringFormat: datefromrequired
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: stringFormat: datetorequired
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: stringenumintervalvalueshourdayweekmonth
- Type: stringenumaggregationvaluesavgminmaxsumlast
Responses
- application/json
Request Example for get/users/{userId} /timeseries
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/timeseries?metric=&from=2026-11-16&to=2026-11-16&interval=day&aggregation=avg' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"metric": "string",
"unit": "string",
"interval": "string",
"aggregation": "string",
"timezone": "string",
"points": [
{
"startAt": "2026-11-16T17:41:54.374Z",
"value": null,
"count": 1
}
],
"trend": {
"direction": "improving",
"changePercent": null,
"baseline": null
}
}